Bug 174954 - icmp type in logwatch report for iptables
icmp type in logwatch report for iptables
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: logwatch (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-04 16:14 EST by Allen Kistler
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-05 10:04:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for /usr/share/logwatch/scripts/services/iptables (651 bytes, patch)
2005-12-04 16:14 EST, Allen Kistler
no flags Details | Diff

  None (edit)
Description Allen Kistler 2005-12-04 16:14:00 EST
Description of problem:
Logwatch currently reports all icmp as icmp(0).  I think there's value in
reporting the actual icmp types.

Version-Release number of selected component (if applicable):
logwatch-7.1-2

How reproducible:
Always

Steps to Reproduce:
1. Configure iptables to log some icmp traffic
2. Generate loggable icmp traffic
3. Run logwatch
  
Actual results: (example)
 Logged 2 packets on interface eth0
   From 172.16.9.130 - 2 packets to icmp(0) 

Expected results: (example of desired results)
 Logged 2 packets on interface eth0
   From 172.16.9.130 - 2 packets to icmp(8) 


Additional info:
Included patch for /usr/share/logwatch/scripts/services/iptables.
Submitted same patch to logwatch-patches@logwatch.org, so perhaps the same
enhancement will come downstream eventually.
Comment 1 Allen Kistler 2005-12-04 16:14:00 EST
Created attachment 121822 [details]
patch for /usr/share/logwatch/scripts/services/iptables
Comment 2 Ivana Varekova 2005-12-05 10:04:09 EST
Thank you for your bug report and patch, this problem is fixed in the last
version of logwatch (logwatch-7.1-3).

Note You need to log in before you can comment on or make changes to this bug.